#
# spec file for package python-mdit-py-plugins
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-mdit-py-plugins
Version:        0.4.0
Release:        1.2
Summary:        Collection of plugins for markdown-it-py
License:        MIT
URL:            https://mdit-py-plugins.readthedocs.io/
Source:         https://github.com/executablebooks/mdit-py-plugins/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  %{python_module flit-core}
BuildRequires:  %{python_module markdown-it-py}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module wheel}
# SECTION tests
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-regressions}
BuildRequires:  fdupes
#Source:         https://files.pythonhosted.org/packages/source/m/mdit-py-plugins/mdit-py-plugins-%%{version}.tar.gz
BuildRequires:  python-rpm-macros
Requires:       python-markdown-it-py
BuildArch:      noarch
%python_subpackages

%description
Collection of core plugins for markdown-it-py.

%prep
%autosetup -p1 -n mdit-py-plugins-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md CHANGELOG.md docs/index.md
%license LICENSE
%{python_sitelib}/mdit_py_plugins/
%{python_sitelib}/mdit_py_plugins-%{version}*-info

%changelog
* Thu Nov 23 2023 Daniel Garcia <daniel.garcia@suse.com>
- Update to version 0.4.0:
  * UPGRADE: Drop python 3.7 and support 3.11 (#77)
  * UPGRADE: Allow markdown-it-py v3 (#85)
  - Make field_list compatible with latest upstream (#75)
  - Convert state.srcCharCode -> state.src (#84)
  - Remove unnecessary method arg by @chrisjsewell in( #76)
  - Centralise code block test (#83 and #87)
  - This means that disabling the code block rule in
    markdown-it-py v3+ will now allow all syntax blocks to be
    indented by any amount of whitespace.
  * Improve dollarmath plugin: Add allow_blank_lines option, thanks
    to @eric-wieser (#46)
  * Improve admon plugin: Add ??? support, thanks to @KyleKing (#58)
  * MAINTAIN: Make type checking strict (#86)
- v0.3.5:
  * FIX: Regression in dollarmath by @chrisjsewell in #69
  * Fix regression in amsmath by @chrisjsewell in #70
  * Correct project documentation link by @andersk in #73
  * RELEASE v0.3.5 by @chrisjsewell in #74
- v0.3.4:
  * NEW: Add attrs_block_plugin by @chrisjsewell in #66
  * Improve field lists by @chrisjsewell in #65
  * Update pre-commit by @chrisjsewell in #64 (moving from flake8 to ruff)
- v0.3.3:
  * FIX: attrs: span with end of inline before attrs by @chrisjsewell in #57
- v0.3.2:
  * MAINTAIN: Fix pre-commit configuration by @hukkin in #54
  * NEW: Add span parsing to inline attributes plugin by @chrisjsewell in #55
  * FIX: Task list item marker can be followed by any GFM whitespace by @hukkin in #42
  * NEW: Port admon plugin by @KyleKing in #53
  * RELEASE: v0.3.2 by @chrisjsewell in #56
- v0.3.1:
  * MAINTAIN: Remove upper bound from Python version constraint by @cjolowicz in #40
  * MAINTAIN: Update pre-commit by @chrisjsewell in #47
  * FIX: Parsing when newline is between footnote ID and first paragraph by @hukkin in #49
  * Anchor ids in separate renders should not affect each other. by @distractedmosfet in #43
  * PEP 621 package build, drop Python 3.6 by @chrisjsewell in #51
  * NEW: Add attrs_plugin by @chrisjsewell in #50
  * RELEASE: v0.3.1 by @chrisjsewell in #52
* Fri Jun  9 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Mon Sep  5 2022 Elisei Roca <eroca@mailbox.org>
- Cleanup requires, comments and files section
* Tue Apr 26 2022 Sebastian Wagner <sebix+novell.com@sebix.at>
- initial package for version 0.3.0.
